curl --request POST \
--url https://api.example.com/cabinet/admin/users/{user_id}/sync/to-panel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"create_if_missing": true,
"update_status": true,
"update_traffic_limit": true,
"update_expire_date": true,
"update_squads": true
}
'{
"success": true,
"message": "<string>",
"action": "",
"panel_uuid": "<string>",
"changes": {},
"errors": []
}Sync user data FROM bot TO panel.
Sends user/subscription data to Remnawave panel, creating or updating as needed.
curl --request POST \
--url https://api.example.com/cabinet/admin/users/{user_id}/sync/to-panel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"create_if_missing": true,
"update_status": true,
"update_traffic_limit": true,
"update_expire_date": true,
"update_squads": true
}
'{
"success": true,
"message": "<string>",
"action": "",
"panel_uuid": "<string>",
"changes": {},
"errors": []
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request to sync user to panel.
Create user in panel if not exists
Update user status in panel
Update traffic limit in panel
Update expire date in panel
Update connected squads in panel